Rygel.MediaContainer.container_updated – librygel-server Reference Manual

# container_updated

## Description:

public signal void container_updated (MediaContainer container, MediaObject object, ObjectEventType event_type, `bool` sub_tree_update)

The container_updated signal is emitted if a child container under the tree of this container has been updated. The object parameter is set to the MediaObject that is the source of the container update. Note that it may even be set to the container itself.

## Parameters:

container | The child container that has been updated.
object | The object that has changed. This may be the container itself, or a child item.
event_type | This describes what actually happened to the object.
sub_tree_update | Whether the modification is part of a sub-tree update. See the #RygelMediaContainer::sub_tree_updates_finished signal.

## See also:

`rygel_media_container_updated().`